Bug 1119136 - EndEvent moves slightly on every Save+reopen [NEEDINFO]
Summary: EndEvent moves slightly on every Save+reopen
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Designer
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ER4
: 6.1.0
Assignee: Tihomir Surdilovic
QA Contact: Marek Baluch
URL:
Whiteboard:
Depends On:
Blocks: 1119144
TreeView+ depends on / blocked
 
Reported: 2014-07-14 06:20 UTC by Toshiya Kobayashi
Modified: 2018-12-06 17:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1119144 (view as bug list)
Environment:
Last Closed:
Type: Bug
jsvitak: needinfo? (tsurdilo)


Attachments (Terms of Use)

Description Toshiya Kobayashi 2014-07-14 06:20:07 UTC
Description of problem:

In Designer, EndEvent node moves slightly on every Save+reopen.


Steps to Reproduce:
1. Create a process (e.g. [Start]->[ScriptNode]->[End])
2. Save
3. [View Process Source]. Look at BPMNShape which is associated with EndEvent.

      <bpmndi:BPMNShape id="_h4iLJgscEeS0Iu5KJXbs7w" bpmnElement="_E1D281EF-A9EB-4C28-8DB5-244E97B7CC01">
        <dc:Bounds height="28.0" width="28.0" x="340.0" y="166.0"/>
      </bpmndi:BPMNShape>

4. Close the Editor panel
5. Open the process again
6. Edit Script in ScriptNode (This is required to make sure to save)
7. Save
8. [View Process Source]

      <bpmndi:BPMNShape id="_CLnQ9gsdEeS0Iu5KJXbs7w" bpmnElement="_E1D281EF-A9EB-4C28-8DB5-244E97B7CC01">
        <dc:Bounds height="28.0" width="28.0" x="339.0" y="165.0"/>
      </bpmndi:BPMNShape>

Actual results:

x and y in the BPMNShape decrease.

Expected results:

x and y in the BPMNShape don't change.

Additional info:

If you repeat 4-8, you will be able to see that EndEvent is moving.

Comment 1 Toshiya Kobayashi 2014-07-14 06:56:39 UTC
Unlikely BRMS 5.3.1 (BZ1119144), in BPMS 6, this issue requires reopening a process (as far as I tested) so not excessively happens.

Comment 2 Tihomir Surdilovic 2014-12-15 17:51:16 UTC
fixed in designer master. we will be moving a number of BZ fixed to the 6.2.x branches a(including this one) asap

Comment 3 Tihomir Surdilovic 2014-12-15 18:15:34 UTC
fix in designer 6.2.x branch

Comment 4 Jiri Svitak 2015-01-26 14:23:47 UTC
Reproduced in BPM Suite 6.0.2.GA, verified in BPM Suite 6.1.0.ER4.

Tihomir,
can you please provide commit links with the fix? Thanks.


Note You need to log in before you can comment on or make changes to this bug.